# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Proc-PID-File-Fcntl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt7
Summary: Manage PID files using fcntl() locks
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JG/JGMYERS/%{module_name}-%{module_version}.tar.gz

%description
This Perl module permits callers to prevent multiple simultaneous
instantiations of themselves.  The module accomplishes this using a
*pidfile*, which is used to obtain a lock.

Unlike the traditional *pidfile* locking protocol, which uses the
existence and content of the file to indicate the lock, this module
uses fcntl() locking of the file.  This locking protocol is free of
races and, assuming the lock file is not in a networked filesystem, is
safe across OS crashes.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/P*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.01-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.01-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.01-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt3.1
- rebuild with perl 5.26

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt2
- rebuild to get rid of unmets

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

